package othello.models;

import othello.controlers.Controler;

/**
 * La vue qui permet  l'IA de jouer un coup.
 * @author Jean-Franois Berdjugin
 * La vue doit connatre le modle du jeu, les prfrences et le contrleur.
 */
public class IAModel {
	/**
	 * Le modle du jeu
	 */
	private GameModel gameModel;
	/**
	 * Les prfrences du modle
	 */
	private PreferenceModel preferenceModel;
	/**
	 * Permet de construire la vue
	 * @param gameModel le modle du jeu
	 * @param preferenceModel le modle des prfrences
	 * @param controler le contrleur
	 */
	public IAModel(GameModel gameModel, PreferenceModel preferenceModel, Controler controler)
	{
		this.gameModel = gameModel;
		this.preferenceModel = preferenceModel;
	}
	
	/**
	 * Permet de jouer un coup
	 * @return [x,y] le coup  jouer
	 */
	public int[] play()
	{
		int[] res;
		res = new int[2];
		int x,y;
		do
		{
			x = (int)(Math.random()*8);
			y = (int)(Math.random()*8);
		}
		while (!this.gameModel.isPlayable(x, y));
		res[0]=x;
		res[1]=y;
		return res;
	}
}
