package othello.views;

import java.awt.Dialog;
import java.awt.Window;
import java.io.IOException;
import java.net.URL;

import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JScrollPane;

/**
 * La vue qui permet d'afficher les rgles du jeu.
 * 
 * @author Jean-Franois Berdjugin
 *La source est wikipdia.
 */
public class ContentsView extends JDialog{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1038201197257467642L;

	/**
	 * Le constructeur de la vue, la vue est une boite de dialogue non modale qui est rattache  un parent
	 * @param parent le parent
	 *
	 */
	public ContentsView(Window parent)
	{

		super(parent,"Sommaire", Dialog.ModalityType.MODELESS);
		this.setDefaultCloseOperation(HIDE_ON_CLOSE);
		JEditorPane editorPane = new JEditorPane();
		editorPane.setEditable(false);
		//String s = "http://fr.wikipedia.org/wiki/Othello_%28jeu%29";
		URL url = this.getClass().getClassLoader().getResource("ressources/text/Othello_(jeu).htm");
		try {
		    //editorPane.setPage(new URL(s));
			editorPane.setPage(url);
		} catch (IOException e) {
		    //System.err.println("Attempted to read a bad URL: " + s);
			System.err.println("Attempted to read a bad URL: " + url);
		}
		this.add(new JScrollPane(editorPane));
		this.setSize(800,800);
	}
}
